%define upstream_name    String-Similarity
%define upstream_version 1.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Perl extension for calculating the similarity of two strings
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:  perl-devel


%{?perl_default_filter}

%description
$factor = similarity $string1, $string2, [$limit] 

The similarity-function calculates the similarity index of its two arguments. A
value of 0 means that the strings are entirely different. A value of 1 means
that the strings are identical. Everything else lies between 0 and 1 and
describes the amount of similarity between the strings.

It roughly works by looking at the smallest number of edits to change one
string into the other.

You can add an optional argument $limit (default 0) that gives the minimum
similarity the two strings must satisfy. similarity stops analyzing the string
as soon as the result drops below the given limit, in which case the result
will be invalid but lower than the given $limit. You can use this to speed up
the common case of searching for the most similar string from a set by
specifing the maximum similarity found so far.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc COPYING Changes README
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-11.mga5
+ Revision: 742564
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.40.0-10.mga5
+ Revision: 733421
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-9.mga5
+ Revision: 686254
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.40.0-8.mga5
+ Revision: 631685
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-7.mga4
+ Revision: 525028
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.40.0-6.mga4
+ Revision: 431755
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-5.mga3
+ Revision: 372847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.40.0-4.mga3
+ Revision: 251144
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 104982
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 31191
- mageia rebuild
- imported package perl-String-Similarity


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-2mdv2011.0
+ Revision: 556149
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 404420
- rebuild using %%perl_convert_version

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2010.0
+ Revision: 393001
- update to new version 1.04

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.03-5mdv2009.0
+ Revision: 258392
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.03-4mdv2009.0
+ Revision: 246477
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.03-2mdv2008.1
+ Revision: 152310
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2008.0
+ Revision: 46534
- update to new version 1.03


* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdv2007.0
- %%mkrel

* Mon Jun 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdk
- New release 1.02

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk 
- drop useless empty directories
- make test in %%check

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- new release
- spec cleanup
- better url

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1-3mdk
- Rebuild for new perl

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1-1mdk
- new version
- rpmbuildupdate aware
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.02-2mdk
- fixed dir ownership (distlint)

* Wed Dec 17 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.02-1mdk
- first mdk release

